qq_39949260
Never_chan
采纳率71.4%
2017-12-07 04:11 浏览 7.5k

android ndk(r16版本)安装后build apk报错

10

图片说明
Error:(81) Android NDK: Application targets deprecated ABI(s): mips64 armeabi mips

Error:(82) Android NDK: Support for these ABIs will be removed in a future NDK release

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享
  • 邀请回答

1条回答 默认 最新

  • 已采纳
    qq_39949260 Never_chan 2017-12-07 09:28

    问题已解决~ 给大家分享下!!

    1. 在android SDK --SDK Tools 下载 CMake和LLDB,等待下载完毕
    2. 在我的src -- java 目录下DumpsysMemInfoParseUtil 里面添加如下代码 seMem = useMem.replace(",", ""); useMem = useMem.replace("K", ""); useMem = useMem.replace(":", "");
    3. 把CMakeLists.txt导入到 app 目录下
    4. 在build.gradle 输入以下代码
      externalNativeBuild {
      cmake {
      cppFlags ""

              abiFilters 'arm64-v8a','armeabi-v7a','x86','x86_64'
          }
      }
      
    5. 把 libs 和 app\src\main\obj 关于 .so文件全部删除

    6. 最后clear project ,在编译apk就可以成功了

    点赞 2 评论 复制链接分享

相关推荐